Skip to main content
GET
/
v1
/
machines
/
{machine_id}
/
artifacts
List artifacts
curl --request GET \
  --url https://dcs.dedaluslabs.ai/v1/machines/{machine_id}/artifacts \
  --header 'x-api-key: <api-key>'
{ "items": [ { "artifact_id": "<string>", "created_at": "2023-11-07T05:31:56Z", "machine_id": "<string>", "name": "<string>", "size_bytes": 123, "download_url": "<string>", "execution_id": "<string>", "expires_at": "2023-11-07T05:31:56Z", "mime_type": "<string>", "sha256": "<string>" } ], "next_cursor": "<string>" }

Documentation Index

Fetch the complete documentation index at: https://docs.dedaluslabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Dedalus API key. Alternative to Bearer token.

Headers

X-Dedalus-Org-Id
string

Path Parameters

machine_id
string
required
Required string length: 4 - 253
Pattern: ^dm-[a-z0-9]([a-z0-9-]*[a-z0-9])?$

Query Parameters

limit
integer<int64>
cursor
string

Response

OK

items
object[] | null
required
next_cursor
string
Last modified on May 29, 2026